package ru.mai.k806.sample;


public class JavaSample {

    public static void main(String[] args) {

        //преобразование единиц
        UnitsOfWeightMeasurement zz = UnitsOfWeightMeasurement.GR;

        double val = zz.ConvertFactorTo(UnitsOfWeightMeasurement.TON);

        StringBuilder sb = new StringBuilder(1024);

        Quantity qq = new Quantity(1000, UnitsOfWeightMeasurement.GR);
        sb.append("Преобразование: "+qq);


        qq = qq.Convert(UnitsOfWeightMeasurement.KG);
        sb.append("->"+qq);

        qq = qq.Convert(UnitsOfWeightMeasurement.TON);
        sb.append("->"+qq);

        qq = qq.Convert(UnitsOfWeightMeasurement.GR);
        sb.append("->"+qq);


        //сумма
        sb.append("\nСумма: ");

        Quantity tmp = new Quantity("0.1", UnitsOfWeightMeasurement.KG);
        sb.append(qq+"+"+tmp);

        qq = qq.add( tmp);
        sb.append("="+qq);

        tmp = new Quantity("1.1", UnitsOfWeightMeasurement.KG);
        sb.append(" == "+tmp+"? " + (0==qq.compareTo( tmp)));

        
        //вычитание
        sb.append("\nВычитание: ");

        tmp = new Quantity("0.1", UnitsOfWeightMeasurement.KG);
        sb.append(qq+"-"+tmp);

        qq = qq.substruct( tmp);
        sb.append("="+qq);

        tmp = new Quantity(1000, UnitsOfWeightMeasurement.GR);
        sb.append(" == "+tmp+"? " + (0==qq.compareTo( tmp)));

        //умножение
        sb.append("\nУмножение: ");

        tmp = new Quantity("0.1", UnitsOfWeightMeasurement.KG);
        sb.append(qq+"*"+tmp);

        qq = qq.multiply( tmp);
        sb.append("="+qq);

        tmp=new Quantity("100.0", UnitsOfWeightMeasurement.KG);
        sb.append(" == "+tmp+"? " + (0==qq.compareTo( tmp)) + " в тоннах " + qq.Convert(UnitsOfWeightMeasurement.TON));

        //деление
        sb.append("\nДеление: ");

        tmp = new Quantity("0.1", UnitsOfWeightMeasurement.KG);
        sb.append(qq+"/"+tmp);

        qq = qq.divide( tmp);
        sb.append("="+qq);

        tmp=new Quantity(1, UnitsOfWeightMeasurement.KG);
        sb.append(" == "+tmp+"? " + (0==qq.compareTo( tmp))+ " в кг " + qq.Convert(UnitsOfWeightMeasurement.KG));


        sb.append("\nДелим на части: ");
        int n = 3;

        sb.append(qq + "/" + n + " =");
        for (Quantity q : qq.Split(3)) {
          sb.append(" " + q);
        }

        tmp = new Quantity("0.333", UnitsOfWeightMeasurement.TON);
        n = 11;

        sb.append("\n" + tmp + "/" + n + " =");

        Quantity tt = new Quantity(0, UnitsOfWeightMeasurement.TON);
        for (Quantity q : tmp.Convert(UnitsOfWeightMeasurement.KG).Split(n)) {
          sb.append(" " + q);
          tt = tt.add(q);
        }

        sb.append(" Sum=" + tt);

       System.out.println(sb);
    }
}

