package ru.mai.k806.sample;

import junit.framework.Assert;
import org.junit.Test;

/**
 * Created by IntelliJ IDEA.
 * User: Eugene
 * Date: 29.10.2010
 * Time: 19:20:15
 * To change this template use File | Settings | File Templates.
 */
public class UnitsOfWeightMeasurementTest {

    @Test
    public void testConvert() {
        double factor = UnitsOfWeightMeasurement.KG.ConvertFactorTo(UnitsOfWeightMeasurement.GR);
        Assert.assertEquals(1000.0, factor);
    }

    @Test
    public void testComplexConvert() {
        double factor = UnitsOfWeightMeasurement.TON.ConvertFactorTo(UnitsOfWeightMeasurement.GR);
        Assert.assertEquals(1000000.0, factor);
    }

    @Test
    public void testToString() {
        Assert.assertEquals("Грамм", UnitsOfWeightMeasurement.GR.toString());
    }

}
